AvgWithArgumentCastFunction (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.dialect.function
Class AvgWithArgumentCastFunction

    java.lang.Object
      org.hibernate.dialect.function.StandardSQLFunction
          org.hibernate.dialect.function.StandardAnsiSqlAggregationFunctions.AvgFunction
              org.hibernate.dialect.function.AvgWithArgumentCastFunction

All Implemented Interfaces:
  SQLFunction

    public class AvgWithArgumentCastFunction

extends StandardAnsiSqlAggregationFunctions.AvgFunction

Some databases strictly return the type of the of the aggregation value for `AVG` which is problematic in the case of averaging integers because the decimals will be dropped. The usual workaround is to cast the integer argument as some form of double/decimal.

Field Summary

Fields inherited from class org.hibernate.dialect.function.StandardAnsiSqlAggregationFunctions.AvgFunction
`INSTANCE`

Constructor Summary
`AvgWithArgumentCastFunction(String castType)`

Method Summary
`protected String` | `renderArgument(String argument, int firstArgumentJdbcType)`

Methods inherited from class org.hibernate.dialect.function.StandardAnsiSqlAggregationFunctions.AvgFunction
`determineJdbcTypeCode, render, render`

Methods inherited from class org.hibernate.dialect.function.StandardSQLFunction
`getName, getReturnType, getType, hasArguments, hasParenthesesIfNoArguments, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AvgWithArgumentCastFunction

    public AvgWithArgumentCastFunction(String castType)

Method Detail

### renderArgument

    protected String renderArgument(String argument,
                                    int firstArgumentJdbcType)

  Overrides:
    `renderArgument` in class `StandardAnsiSqlAggregationFunctions.AvgFunction`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.